//----------------------------------------------------------------------------//
//  CONST.h
//  SARURIS
//  Created by Takashi Kawasaki.
//  Creation date    2012/1/27
//  Last update date 2012/5/18
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

// コピーライト&バージョン
#define kCopyRight          @"2012 SARURIS Project. All rights reserved."
#define kVersion            @"1.1"
#define kLeaderBoardID      @"saruris01"

// ゲームの難易度
#define kDifficultyEasy     0
#define kDifficultyMedium   1
#define kDifficultyHard     2
#define kDifficultyVeryHard 3
#define kDifficultyExtreme  4

// ゲームスピード
#define kSpeedBase          0.005
#define kSpeedEasy          200
#define kSpeedMedium        100
#define kSpeedHard          80
#define kSpeedVeryHard      60
#define kSpeedExtreme       40

// 難易度別得点
#define kScoreEasy          10
#define kScoreMedium        20
#define kScoreHard          30
#define kScoreVeryHard      40
#define kScoreExtreme       50
#define kCountExcellent     60

// 難易度アップに必要な消しブロック数
#define kEtoMCount          50
#define kMtoHCount          100
#define kHtoVCount          300
#define kVtoECount          500

// どのアラートが押されたか
#define kRankingAlert       10
#define kMusicAlert         20
#define kImageAlert         30

// タグ
#define kSliderTag1         10
#define kSliderTag2         20
#define kSliderTag3         30

#define kLabelTag1          10
#define kLabelTag2          20
#define kLabelTag3          30

#define kImageTag1          10

// サウンドタイプ
#define kSoundType1         10
#define kSoundType2         20
#define kSoundType3         30
#define kSoundType4         40
#define kSoundType5         50
#define kSoundType6         60
#define kSoundType7         70
#define kSoundType8         80
#define kSoundType9         90
#define kSoundType10        100
#define kSoundType11        110
#define kSoundType12        120
#define kSoundType13        130
#define kSoundType14        140
#define kSoundType15        150
#define kSoundType16        160

// ブロックサイズ（iPhone用とiPad用）
#define kBlockSizeiPhone    40;
#define kBlockSizeiPad      84;
