//----------------------------------------------------------------------------//
//  ViewController.h
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// H-1 フレームワークをインポートしようブロック
//-------------------------------------------------//
#import <UIKit/UIKit.h>
#import <GameKit/GameKit.h>

//-------------------------------------------------//
// H-2 クラスとインスタンス変数の宣言をしようブロック
//-------------------------------------------------//
@interface ViewController : UIViewController <GKLeaderboardViewControllerDelegate>

//-------------------------------------------------//
// H-3 アクセサメソッドの宣言をしようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// H-4 オリジナルメソッドの宣言をしようブロック
//-------------------------------------------------//
- (void)configureView;
- (void)showLeaderboard;
- (void)submitScore;

//-------------------------------------------------//
// H-5 ヘッダーファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
