//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{
    if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone){
        UIImageView *customImageView = [[UIImageView alloc] initWithFrame:CGRectMake(0.0, 0.0, 360.0, 480.0)];
        customImageView.image = [UIImage imageNamed:@"SampleBg.png"];
        [self.view addSubview:customImageView];
    }else{
        UIImageView *customImageView = [[UIImageView alloc] initWithFrame:CGRectMake(0.0, 0.0, 768.0, 1024.0)];
        customImageView.image = [UIImage imageNamed:@"SampleBg-pad.png"];
        [self.view addSubview:customImageView];     
        
        UIView *customView = [[UIView alloc] initWithFrame:CGRectMake(6.0, 0.0 , 756.0, 1008.0)];
        customView.backgroundColor = [UIColor blackColor];
        customView.alpha = 0.5;
        [self.view addSubview:customView];      
    }
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
